Component({
  properties: {
    // 这里定义了innerText属性，属性值可以在组件使用时指定
    navList: {
      type: Array,
      value: [{
        id: '1',
        title: '标题',
        icon: ''
      }, {
        id: '2',
        title: '标题',
        icon: ''
      }],
    }
  },
  data: {
    // 这里是一些组件内部数据 
    activeId:null
  },
  attached(){
    this.setData({
      activeId:this.data.navList[0].id
    })
  },
  methods: {
    // 这里是一个自定义方法
    _selectItem: function (e) {
      if (this.data.activeId === e.target.dataset.act){
        return
      }
      this.setData({
        activeId:e.target.dataset.act
      })
      this.triggerEvent('change', { id: e.target.dataset.act})
    }
  }
})